#ifndef _SKYBOX_H_
#define _SKYBOX_H_

#include <GL/glu.h>

#include "trig.h"

class CSkybox
{
private:
	GLuint tex[6]; // front, back, left, right, top, bottom

public:
	void init(char *file0, char *file1, char *file2, char *file3, char *file4, char *file5);
	void draw(CVector camera, double roll=0);
};

#endif
